## SoupSessionSync

SoupSessionSync — (Deprecated) SoupSession for blocking I/O in multithreaded programs.

## Types and Values

| SoupSessionSync

## Object Hierarchy

        GObject
        ╰── SoupSession
            ╰── SoupSessionSync

## Includes

    #include <libsoup/soup.h>

## Description

SoupSessionSync is an implementation of SoupSession that uses synchronous I/O, intended for use in multi-threaded programs.

As of libsoup 2.42, this is deprecated in favor of the plain SoupSession class (which uses both asynchronous and synchronous I/O, depending on the API used). See the porting guide.

## Functions

## Types and Values

### SoupSessionSync

    typedef struct _SoupSessionSync SoupSessionSync;